postgres-ai/database-lab-engine: DLE enables 🖖 DB branching and ⚡️ thin cloning for any Postgres database and empowers DB testing in CI/CD. This optimizes database-related costs while improving time-to-market and software quality. Follow to stay updated.

1480
STARS
31
WATCHERS
60
FORKS
6
ISSUES

database-lab-engine Recent Issues

Issue Title State Comments Created Date Updated Date
CVE-2022-46175 (High) detected in json5-2.2.1.tgz, json5-1.0.1.tgz closed 0 2022-12-26 2023-01-20
DLE server session.json file empty after restart open 1 2022-12-20 2023-01-20
CVE-2022-23471 (Medium) detected in github.com/containerd/containerd-v1.6.1 closed 2 2022-12-16 2023-01-20
CVE-2022-30633 (High) detected in golang.org/x/net-v0.0.0-20211216030914-fe4d6282115f closed 2 2022-12-16 2023-01-20
CVE-2022-41717 (Medium) detected in golang.org/x/sys-v0.0.0-20211216021012-1d35b9e2eb4e closed 2 2022-12-16 2023-01-20
CVE-2022-28131 (High) detected in golang.org/x/net-v0.0.0-20211216030914-fe4d6282115f closed 2 2022-12-16 2023-01-20
CVE-2022-27664 (High) detected in golang.org/x/net-v0.0.0-20211216030914-fe4d6282115f closed 2 2022-12-16 2023-01-20
CVE-2022-24769 (Medium) detected in github.com/docker/docker-v20.10.3-0.20220207145910-4b3471ddc064+incompatible closed 2 2022-12-16 2023-01-20
DepShield Deprecation Notice closed 0 2022-12-07 2023-01-20
CVE-2022-24999 (High) detected in qs-6.7.0.tgz closed 0 2022-12-07 2023-01-20
CVE-2022-3517 (High) detected in minimatch-3.0.4.tgz closed 0 2022-10-19 2023-01-20
CVE-2022-37603 (High) detected in multiple libraries closed 0 2022-10-18 2023-01-20
CVE-2022-32149 (High) detected in golang.org/x/text-v0.3.7 closed 2 2022-10-17 2023-01-20
CVE-2022-37601 (High) detected in loader-utils-1.4.0.tgz closed 0 2022-10-14 2023-01-20
CVE-2022-37599 (High) detected in loader-utils-2.0.2.tgz, loader-utils-2.0.0.tgz closed 0 2022-10-13 2023-01-20
WS-2022-0322 (High) detected in d3-color-1.4.1.tgz closed 0 2022-10-06 2023-01-20
CVE-2020-26870 (Medium) detected in dompurify-2.0.12.tgz - autoclosed closed 1 2022-09-28 2023-01-20
CVE-2022-29526 (Medium) detected in golang.org/x/sys-v0.0.0-20211216021012-1d35b9e2eb4e closed 4 2022-07-29 2023-01-20
CVE-2021-35065 (High) detected in glob-parent-5.1.2.tgz - autoclosed closed 1 2022-07-26 2023-01-20
CVE-2022-25858 (High) detected in terser-5.10.0.tgz closed 0 2022-07-18 2023-01-20
CVE-2022-31129 (High) detected in moment-2.29.1.tgz closed 0 2022-07-12 2023-01-20
CVE-2022-1996 (High) detected in github.com/containerd/containerd-v1.6.1 - autoclosed closed 1 2022-06-14 2023-01-20
CVE-2022-31030 (Medium) detected in github.com/containerd/containerd-v1.6.1 closed 2 2022-06-14 2023-01-20
CVE-2022-28948 (Medium) detected in github.com/go-yaml/yaml-v2.4.0 - autoclosed closed 1 2022-05-30 2023-01-20
CVE-2022-29162 (High) detected in github.com/opencontainers/runc-v1.0.3 closed 0 2022-05-16 2023-01-20
CVE-2022-29078 (High) detected in ejs-3.1.6.tgz - autoclosed closed 1 2022-04-28 2023-01-20
CVE-2021-43138 (High) detected in async-2.6.3.tgz, async-0.9.2.tgz closed 0 2022-04-15 2023-01-20
Embedded UI not starting, when installing DLE 3.1.0 closed 0 2022-04-14 2023-01-20
CVE-2022-24785 (High) detected in moment-2.29.1.tgz closed 0 2022-04-07 2023-01-20
CVE-2022-24778 (High) detected in github.com/containerd/containerd-v1.6.1 - autoclosed closed 1 2022-04-07 2023-01-27
CVE-2022-27191 (High) detected in golang.org/x/crypto-v0.0.0-20220214200702-86341886e292 closed 4 2022-03-23 2023-01-20
CVE-2021-44906 (High) detected in minimist-1.2.5.tgz - autoclosed closed 1 2022-03-23 2023-01-20
CVE-2021-44907 (High) detected in qs-6.7.0.tgz - autoclosed closed 1 2022-03-23 2023-01-20
🔑 Improve DLE authentication and authorization (SSO, LDAP, etc.) closed 0 2022-03-22 2023-01-30
CVE-2022-24771 (High) detected in node-forge-1.2.1.tgz closed 0 2022-03-21 2023-01-20
CVE-2022-24772 (High) detected in node-forge-1.2.1.tgz closed 0 2022-03-21 2023-01-20
CVE-2022-24773 (Medium) detected in node-forge-1.2.1.tgz closed 0 2022-03-21 2023-01-20
CVE-2022-21698 (High) detected in github.com/containerd/containerd-v1.6.1 - autoclosed closed 1 2022-03-04 2023-01-20
CVE-2022-23648 (High) detected in github.com/containerd/containerd-v1.5.9 - autoclosed closed 1 2022-03-04 2023-01-20
DLE instance DNS record broken after instance stop/start needed to change intance size open 4 2022-02-24 2023-01-20
📣 README.md translation: looking for contributors (Chinese, Japanese, French, Portuguese, etc.) open 2 2022-02-22 2023-01-20
CVE-2022-0536 (Medium) detected in follow-redirects-1.14.4.tgz - autoclosed closed 1 2022-02-11 2023-01-20
CVE-2021-23566 (Medium) detected in nanoid-3.1.30.tgz - autoclosed closed 1 2022-02-10 2023-01-20
CVE-2021-3538 (High) detected in github.com/docker/distribution-v2.7.1 - autoclosed closed 1 2022-02-10 2023-01-20
CVE-2021-23364 (Medium) detected in browserslist-4.14.2.tgz - autoclosed closed 1 2022-02-10 2023-01-20
CVE-2018-16875 (High) detected in github.com/docker/docker-v20.10.12 - autoclosed closed 1 2022-02-10 2023-01-20
CVE-2021-3757 (High) detected in immer-8.0.1.tgz - autoclosed closed 1 2022-02-10 2023-01-20
CVE-2020-8559 (Medium) detected in github.com/docker/cli-v20.10.12 - autoclosed closed 1 2022-02-10 2023-01-20
WS-2021-0461 (Medium) detected in swagger-ui-4.1.0.js, swagger-ui-bundle-4.1.0.js - autoclosed closed 1 2022-02-10 2023-01-20
CVE-2021-33587 (High) detected in css-what-3.4.2.tgz - autoclosed closed 1 2022-02-10 2023-01-20